cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/bookings/events \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/bookings/events"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/bookings/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "jl830v6km000pcwrxge2757vyrfpqEsq",
"channel_id": "ajifs2hke000dwemmurwd3kuqN3Kopcx",
"code": "XLLF3W73D",
"commentary_client": "I want the biggest VIP table.",
"commentary_reserve": "Preferred table for that client is 10.",
"date": "2022-09-15T23:00:00.000Z",
"deposit": 0,
"deposit_method": "online",
"deposit_paid": 0,
"duration": 7200,
"enter": 0,
"event_id": "nl830t4mw0001cwrxbbg0226j4MgmEUG",
"event_name": "Saturday Night",
"for": 5,
"gender_group": "boys",
"hour": "2:00",
"name": "Sergio Centeno Pérez",
"phone": "+34666666666",
"price": 0,
"rate_slug": "",
"referral_id": "ñeifupjvx000rwe2m2zuba1z9FqyR2dSL",
"refunded": 0,
"space_id": "",
"space_name": "S1",
"status": "accepted",
"walkin": true,
"zone_name": "Terraza",
"zone_slug": "1658138633506",
"normalized_zone_name": "terraza",
"email": "example@example.com",
"invoice_reference": "EV24T-TOX2-0000215",
"corrective_invoice_references": [
"EV24T-COR-H58Z-0000002",
"EV24T-COR-H58Z-0000003"
],
"created_at": "2024-11-19T09:59:53.763Z",
"currency": "EUR",
"state": "accepted",
"updated_at": "2024-11-19T09:59:53.763Z",
"local_date": "2025-05-19 10:59:53",
"client_id": "kfnwkjbjkwb1jbr4bkhb5334",
"billing_info": {
"customer_type": "individual",
"customer_name": "John Doe",
"document_type": "dni",
"document_number": "1234567890",
"address": "123 Main St, City, Country",
"city": "City",
"postal_code": "12345",
"country": "Spain"
},
"external_payments": [
{
"_id": "im4r8ntp6000c4ko6d3yt8ui0To87UQp",
"amount": 50,
"currency": "EUR",
"description": "123456abc",
"method": "card",
"payment_method_slug": "visa",
"created_at": "2024-12-16T16:17:54.714Z",
"created_by": "plnlp1s0t005301am9ehq3y8iSllAXqD"
}
],
"refunds": [
{
"_id": "el7yuiyep0006msyw2pri1tem1LpJwSc",
"amount": 10,
"currency": "EUR",
"payment_id": "Cl7yuiyhy0007msyw4vfl5ai6YF4WZRn",
"payment_method": "amex",
"created_at": "2022-09-15T23:00:00.000Z",
"created_by": "gwrgkwinbgwnbwip23iongw"
}
],
"payments": [
{
"_id": "el7yuiyep0006msyw2pri1tem1LpJwSc",
"amount": 10,
"currency": "EUR",
"payment_method": "amex",
"issuer_country": "GB",
"shopper_country": "ES",
"created_at": "2022-09-15T23:00:00.000Z",
"created_by": "gwrgkwinbgwnbwip23iongw"
}
],
"pos_payments": [
{
"amount": 100,
"type": "cash"
}
],
"source": "web",
"pos_total_service_charge": 200,
"pos_total_tips": 50,
"pos_ticket_total": 400,
"pos_products": [
{
"_id": "1675456037",
"name": "Water bottle",
"amount": 2,
"unit_price": 50,
"total_price": 100
}
]
}
]
}Bookings
Get bookings events
Get all the bookings by event date. This endpoint filters by event date instead of updated_at.
GET
/
bookings
/
events
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Date of event (ISO 8601).
Start of date range (ISO 8601).
End of date range (ISO 8601).
⌘I